###################################################
###     	Simulation parameters		###        
###################################################

time_scaling = 1.

simulator_params = {
    'nest':
    {
      'timestep'        : 0.1 * time_scaling,
      'threads'         : 1,
      'sim_duration'    : 1000. * time_scaling,
      'min_delay'       : 0.1 * time_scaling,
      'max_delay'       : 100 * time_scaling
      # When max_delay is not set, FixedTotalNumberConnect sometimes
      # produces an error as requested delays are larger than the default 10 ms
    }
}

# parameters for run_microcircuit.py (using a queue)
system_params = {
    # number of nodes
    'n_nodes'           : 1,
    # number of MPI processes per node
    'n_procs_per_node'  : 24,
    # walltime for simulation
    'walltime'          : '8:0:0',
    # total memory for simulation
    'memory'            : '4gb',
    # file name for standard output
    'outfile'           : 'output.txt',
    # file name for error output
    'errfile'           : 'errors.txt',
    # absolute path to which the output files should be written
    'output_path'       : '/scratch/albada/scaling/microcircuit',
    # Directory for connectivity I/O
    'conn_dir'		: '/path/to/connectivity',
    # path to the MPI shell script
    'mpi_path'          : '/usr/local/mpi/openmpi/1.4.3/gcc64/bin/mpivars_openmpi-1.4.3_gcc64.sh',
    # path to back-end
    'backend_path'      : '/users/albada/10kproject_11268_install/lib64/python2.6/site-packages',
    # path to pyNN installation
    'pyNN_path'         : '/users/albada/pyNN_hambach_install/lib/python2.6/site-packages',
    # command for submitting the job
    'submit_cmd'        : 'qsub'
}

