# Parameters for ginzburg_network_dist_Kin_scale.py

import numpy

n_virtual_procs = 24

theta = 1.0    # mV threshold spike with p=0.5 for 0 input

tau_m = 10.0   # ms time constant of neuron

beta = 100.0   # mV^-1 # high slope to obtain saturation, effectively a tanh is effectively a Heaviside function

m_x = 0.1     # mean activity of external neurons

T = 100000.0   # ms
N = 8192      # use two populations of each N neurons, exc, inh
p = 0.2       # connection probability
K = p*N

d = 0.1       # ms synaptic delay, small, should be equal to h
h = 0.1       # ms resolution

dt_samp = 10.0*h   # sampling interval of activity

epsilon = 1./numpy.sqrt(N)

j_EE = 5.*epsilon    # coupling strength E->E
j_EI = -10.*epsilon  # coupling strength I->E
j_IE = 5.*epsilon    # coupling strength E->I
j_II = -9.*epsilon   # coupling strength I->I
j_EX = 5.*epsilon
j_IX = 4.*epsilon


N_rec = 4096 # number of neurons to record from
N_rec_input = 1024 # number of neurons to record from

datapath = '../data/binary/asymm/dist_Kin_scale/'

suffix = ''
